io.vertx.reactivex.core.file

## Class AsyncFile

- java.lang.Object
- - io.vertx.reactivex.core.file.AsyncFile

- All Implemented Interfaces:
    ReadStream<Buffer>, StreamBase, WriteStream<Buffer>

      public class AsyncFile
      extends Object
      implements ReadStream<Buffer>, WriteStream<Buffer>

  Represents a file on the file-system which can be read from, or written to asynchronously.

  This class also implements `ReadStream` and `WriteStream`. This allows the data to be piped to and from other streams, e.g. an `HttpClientRequest` instance, using the `Pipe` class

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AsyncFile>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncFile(AsyncFile delegate)`
    `AsyncFile(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the file.
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the file.
    `AsyncFile` | `drainHandler(Handler<Void> handler)` Set a drain handler on the stream.
    `void` | `end()` Same as `WriteStream.end(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
    `void` | `end(Buffer data)` Same as but with an `handler` called when the operation completes
    `void` | `end(Buffer data, Handler<AsyncResult<Void>> handler)` Same as but with an `handler` called when the operation completes
    `void` | `end(Handler<AsyncResult<Void>> handler)` Same as `WriteStream.end(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
    `AsyncFile` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `AsyncFile` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `AsyncFile` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `AsyncFile` | `flush()` Same as `flush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but the handler will be called when the flush is complete or if an error occurs
    `AsyncFile` | `flush(Handler<AsyncResult<Void>> handler)` Same as `flush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but the handler will be called when the flush is complete or if an error occurs
    `AsyncFile` | `getDelegate()`
    `long` | `getReadLength()`
    `long` | `getWritePos()`
    `AsyncFile` | `handler(Handler<Buffer> handler)` Set a data handler.
    `int` | `hashCode()`
    `void` | `lock()` Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `void` | `lock(Handler<AsyncResult<AsyncFileLock>> handler)` Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `void` | `lock(long position, long size, boolean shared)` Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `void` | `lock(long position, long size, boolean shared, Handler<AsyncResult<AsyncFileLock>> handler)` Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `static AsyncFile` | `newInstance(AsyncFile arg)`
    `AsyncFile` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<Buffer>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<Buffer> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `void` | `pipeTo(WriteStream<Buffer> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `AsyncFile` | `read(Buffer buffer, int offset, long position, int length)` Reads `length` bytes of data from the file at position `position` in the file, asynchronously.
    `AsyncFile` | `read(Buffer buffer, int offset, long position, int length, Handler<AsyncResult<Buffer>> handler)` Reads `length` bytes of data from the file at position `position` in the file, asynchronously.
    `AsyncFile` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `Completable` | `rxClose()` Close the file.
    `Completable` | `rxEnd()` Same as `WriteStream.end(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
    `Completable` | `rxEnd(Buffer data)` Same as but with an `handler` called when the operation completes
    `Completable` | `rxFlush()` Same as `flush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but the handler will be called when the flush is complete or if an error occurs
    `Single<AsyncFileLock>` | `rxLock()` Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `Single<AsyncFileLock>` | `rxLock(long position, long size, boolean shared)` Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `Completable` | `rxPipeTo(WriteStream<Buffer> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `Single<Buffer>` | `rxRead(Buffer buffer, int offset, long position, int length)` Reads `length` bytes of data from the file at position `position` in the file, asynchronously.
    `Single<Long>` | `rxSize()` Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `Completable` | `rxWrite(Buffer data)` Same as but with an `handler` called when the operation completes
    `Completable` | `rxWrite(Buffer buffer, long position)` Write a `Buffer` to the file at position `position` in the file, asynchronously.
    `AsyncFile` | `setReadBufferSize(int readBufferSize)` Sets the buffer size that will be used to read the data from the file.
    `AsyncFile` | `setReadLength(long readLength)` Sets the number of bytes that will be read when using the file as a `ReadStream`.
    `AsyncFile` | `setReadPos(long readPos)` Sets the position from which data will be read from when using the file as a `ReadStream`.
    `AsyncFile` | `setWritePos(long writePos)` Sets the position from which data will be written when using the file as a `WriteStream`.
    `AsyncFile` | `setWriteQueueMaxSize(int maxSize)` Set the maximum size of the write queue to `maxSize`.
    `void` | `size()` Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `void` | `size(Handler<AsyncResult<Long>> handler)` Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but the `handler` will be called when the operation is complete or if an error occurs.
    `long` | `sizeBlocking()` Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but blocking.
    `Flowable<Buffer>` | `toFlowable()`
    `Observable<Buffer>` | `toObservable()`
    `WriteStreamObserver<Buffer>` | `toObserver()`
    `String` | `toString()`
    `WriteStreamSubscriber<Buffer>` | `toSubscriber()`
    `AsyncFileLock` | `tryLock()` Try to acquire a non-shared lock on the entire file.
    `AsyncFileLock` | `tryLock(long position, long size, boolean shared)` Try to acquire a lock on a portion of this file.
    `void` | `write(Buffer data)` Same as but with an `handler` called when the operation completes
    `void` | `write(Buffer data, Handler<AsyncResult<Void>> handler)` Same as but with an `handler` called when the operation completes
    `void` | `write(Buffer buffer, long position)` Write a `Buffer` to the file at position `position` in the file, asynchronously.
    `void` | `write(Buffer buffer, long position, Handler<AsyncResult<Void>> handler)` Write a `Buffer` to the file at position `position` in the file, asynchronously.
    `boolean` | `writeQueueFull()` This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.WriteStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AsyncFile> __TYPE_ARG

  - ### Constructor Detail

    - #### AsyncFile

          public AsyncFile(AsyncFile delegate)

    - #### AsyncFile

          public AsyncFile(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AsyncFile getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Buffer>`
      Specified by:
        `getDelegate` in interface `StreamBase`
      Specified by:
        `getDelegate` in interface `WriteStream<Buffer>`

    - #### toObservable

          public Observable<Buffer> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Buffer>`

    - #### toFlowable

          public Flowable<Buffer> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<Buffer>`

    - #### toObserver

          public WriteStreamObserver<Buffer> toObserver()

    - #### toSubscriber

          public WriteStreamSubscriber<Buffer> toSubscriber()

    - #### pipe

          public Pipe<Buffer> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<Buffer>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<Buffer> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          public void pipeTo(WriteStream<Buffer> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          public Completable rxPipeTo(WriteStream<Buffer> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### write

          public void write(Buffer data,
                            Handler<AsyncResult<Void>> handler)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `write` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -
        `handler` -

    - #### write

          public void write(Buffer data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `write` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -

    - #### rxWrite

          public Completable rxWrite(Buffer data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `rxWrite` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -
      Returns:

    - #### end

          public void end(Handler<AsyncResult<Void>> handler)

      Same as `WriteStream.end(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Buffer>`
      Parameters:
        `handler` -

    - #### end

          public void end()

      Same as `WriteStream.end(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Buffer>`

    - #### rxEnd

          public Completable rxEnd()

      Same as `WriteStream.end(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with an `handler` called when the operation completes
      Specified by:
        `rxEnd` in interface `WriteStream<Buffer>`
      Returns:

    - #### end

          public void end(Buffer data,
                          Handler<AsyncResult<Void>> handler)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -
        `handler` -

    - #### end

          public void end(Buffer data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -

    - #### rxEnd

          public Completable rxEnd(Buffer data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `rxEnd` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -
      Returns:

    - #### writeQueueFull

          public boolean writeQueueFull()

      This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`
      Specified by:
        `writeQueueFull` in interface `WriteStream<Buffer>`
      Returns:
        `true` if write queue is full

    - #### handler

          public AsyncFile handler(Handler<Buffer> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public AsyncFile pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public AsyncFile resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public AsyncFile endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWriteQueueMaxSize

          public AsyncFile setWriteQueueMaxSize(int maxSize)

      Description copied from interface: `WriteStream`
      Set the maximum size of the write queue to `maxSize`. You will still be able to write to the stream even if there is more than `maxSize` items in the write queue. This is used as an indicator by classes such as `Pipe` to provide flow control.

      The value is defined by the implementation of the stream, e.g in bytes for a `NetSocket`, etc...
      Specified by:
        `setWriteQueueMaxSize` in interface `WriteStream<Buffer>`
      Parameters:
        `maxSize` - the max size of the write stream
      Returns:
        a reference to this, so the API can be used fluently

    - #### drainHandler

          public AsyncFile drainHandler(Handler<Void> handler)

      Description copied from interface: `WriteStream`
      Set a drain handler on the stream. If the write queue is full, then the handler will be called when the write queue is ready to accept buffers again. See `Pipe` for an example of this being used.

      The stream implementation defines when the drain handler, for example it could be when the queue size has been reduced to `maxSize / 2`.

      Specified by:
        `drainHandler` in interface `WriteStream<Buffer>`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### exceptionHandler

          public AsyncFile exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Buffer>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Specified by:
        `exceptionHandler` in interface `WriteStream<Buffer>`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public AsyncFile fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Close the file. The actual close happens asynchronously. The handler will be called when the close is complete, or an error occurs.
      Parameters:
        `handler` - the handler

    - #### close

          public void close()

      Close the file. The actual close happens asynchronously. The handler will be called when the close is complete, or an error occurs.

    - #### rxClose

          public Completable rxClose()

      Close the file. The actual close happens asynchronously. The handler will be called when the close is complete, or an error occurs.
      Returns:

    - #### write

          public void write(Buffer buffer,
                            long position,
                            Handler<AsyncResult<Void>> handler)

      Write a `Buffer` to the file at position `position` in the file, asynchronously.

      If `position` lies outside of the current size of the file, the file will be enlarged to encompass it.

      When multiple writes are invoked on the same file there are no guarantees as to order in which those writes actually occur

      The handler will be called when the write is complete, or if an error occurs.

      Parameters:
        `buffer` - the buffer to write
        `position` - the position in the file to write it at
        `handler` - the handler to call when the write is complete

    - #### write

          public void write(Buffer buffer,
                            long position)

      Write a `Buffer` to the file at position `position` in the file, asynchronously.

      If `position` lies outside of the current size of the file, the file will be enlarged to encompass it.

      When multiple writes are invoked on the same file there are no guarantees as to order in which those writes actually occur

      The handler will be called when the write is complete, or if an error occurs.

      Parameters:
        `buffer` - the buffer to write
        `position` - the position in the file to write it at

    - #### rxWrite

          public Completable rxWrite(Buffer buffer,
                                     long position)

      Write a `Buffer` to the file at position `position` in the file, asynchronously.

      If `position` lies outside of the current size of the file, the file will be enlarged to encompass it.

      When multiple writes are invoked on the same file there are no guarantees as to order in which those writes actually occur

      The handler will be called when the write is complete, or if an error occurs.

      Parameters:
        `buffer` - the buffer to write
        `position` - the position in the file to write it at
      Returns:

    - #### read

          public AsyncFile read(Buffer buffer,
                                int offset,
                                long position,
                                int length,
                                Handler<AsyncResult<Buffer>> handler)

      Reads `length` bytes of data from the file at position `position` in the file, asynchronously.

      The read data will be written into the specified `Buffer buffer` at position `offset`.

      If data is read past the end of the file then zero bytes will be read.

      When multiple reads are invoked on the same file there are no guarantees as to order in which those reads actually occur.

      The handler will be called when the close is complete, or if an error occurs.

      Parameters:
        `buffer` - the buffer to read into
        `offset` - the offset into the buffer where the data will be read
        `position` - the position in the file where to start reading
        `length` - the number of bytes to read
        `handler` - the handler to call when the write is complete
      Returns:
        a reference to this, so the API can be used fluently

    - #### read

          public AsyncFile read(Buffer buffer,
                                int offset,
                                long position,
                                int length)

      Reads `length` bytes of data from the file at position `position` in the file, asynchronously.

      The read data will be written into the specified `Buffer buffer` at position `offset`.

      If data is read past the end of the file then zero bytes will be read.

      When multiple reads are invoked on the same file there are no guarantees as to order in which those reads actually occur.

      The handler will be called when the close is complete, or if an error occurs.

      Parameters:
        `buffer` - the buffer to read into
        `offset` - the offset into the buffer where the data will be read
        `position` - the position in the file where to start reading
        `length` - the number of bytes to read
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxRead

          public Single<Buffer> rxRead(Buffer buffer,
                                       int offset,
                                       long position,
                                       int length)

      Reads `length` bytes of data from the file at position `position` in the file, asynchronously.

      The read data will be written into the specified `Buffer buffer` at position `offset`.

      If data is read past the end of the file then zero bytes will be read.

      When multiple reads are invoked on the same file there are no guarantees as to order in which those reads actually occur.

      The handler will be called when the close is complete, or if an error occurs.

      Parameters:
        `buffer` - the buffer to read into
        `offset` - the offset into the buffer where the data will be read
        `position` - the position in the file where to start reading
        `length` - the number of bytes to read
      Returns:
        a reference to this, so the API can be used fluently

    - #### flush

          public AsyncFile flush(Handler<AsyncResult<Void>> handler)

      Same as `flush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but the handler will be called when the flush is complete or if an error occurs
      Parameters:
        `handler` -
      Returns:

    - #### flush

          public AsyncFile flush()

      Same as `flush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but the handler will be called when the flush is complete or if an error occurs
      Returns:

    - #### rxFlush

          public Completable rxFlush()

      Same as `flush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but the handler will be called when the flush is complete or if an error occurs
      Returns:

    - #### setReadPos

          public AsyncFile setReadPos(long readPos)

      Sets the position from which data will be read from when using the file as a `ReadStream`.
      Parameters:
        `readPos` - the position in the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReadLength

          public AsyncFile setReadLength(long readLength)

      Sets the number of bytes that will be read when using the file as a `ReadStream`.
      Parameters:
        `readLength` - the bytes that will be read from the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### getReadLength

          public long getReadLength()

      Returns:
        the number of bytes that will be read when using the file as a `ReadStream`

    - #### setWritePos

          public AsyncFile setWritePos(long writePos)

      Sets the position from which data will be written when using the file as a `WriteStream`.
      Parameters:
        `writePos` - the position in the file
      Returns:
        a reference to this, so the API can be used fluently

    - #### getWritePos

          public long getWritePos()

      Returns:
        the current write position the file is at

    - #### setReadBufferSize

          public AsyncFile setReadBufferSize(int readBufferSize)

      Sets the buffer size that will be used to read the data from the file. Changing this value will impact how much the data will be read at a time from the file system.
      Parameters:
        `readBufferSize` - the buffer size
      Returns:
        a reference to this, so the API can be used fluently

    - #### sizeBlocking

          public long sizeBlocking()

      Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but blocking.
      Returns:

    - #### size

          public void size(Handler<AsyncResult<Long>> handler)

      Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Parameters:
        `handler` -

    - #### size

          public void size()

      Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but the `handler` will be called when the operation is complete or if an error occurs.

    - #### rxSize

          public Single<Long> rxSize()

      Like `size(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Returns:

    - #### tryLock

          public AsyncFileLock tryLock()

      Try to acquire a non-shared lock on the entire file.
      Returns:
        the lock if it can be acquired immediately, otherwise `null`

    - #### tryLock

          public AsyncFileLock tryLock(long position,
                                       long size,
                                       boolean shared)

      Try to acquire a lock on a portion of this file.
      Parameters:
        `position` - where the region starts
        `size` - the size of the region
        `shared` - whether the lock should be shared
      Returns:
        the lock if it can be acquired immediately, otherwise `null`

    - #### lock

          public void lock(Handler<AsyncResult<AsyncFileLock>> handler)

      Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Parameters:
        `handler` -

    - #### lock

          public void lock()

      Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.

    - #### rxLock

          public Single<AsyncFileLock> rxLock()

      Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Returns:

    - #### lock

          public void lock(long position,
                           long size,
                           boolean shared,
                           Handler<AsyncResult<AsyncFileLock>> handler)

      Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Parameters:
        `position` -
        `size` -
        `shared` -
        `handler` -

    - #### lock

          public void lock(long position,
                           long size,
                           boolean shared)

      Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Parameters:
        `position` -
        `size` -
        `shared` -

    - #### rxLock

          public Single<AsyncFileLock> rxLock(long position,
                                              long size,
                                              boolean shared)

      Like `lock(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.reactivex.core.file.AsyncFileLock>>)` but the `handler` will be called when the operation is complete or if an error occurs.
      Parameters:
        `position` -
        `size` -
        `shared` -
      Returns:

    - #### newInstance

          public static AsyncFile newInstance(AsyncFile arg)

Copyright © 2022 Eclipse. All rights reserved.